var user_guide =
[
    [ "An Introduction to NetCDF", "netcdf_introduction.html", [
      [ "The netCDF Interface", "netcdf_introduction.html#netcdf_interface", null ],
      [ "The netCDF File Format", "netcdf_introduction.html#netcdf_format", [
        [ "How to Select the Format", "netcdf_introduction.html#select_format", null ],
        [ "NetCDF Classic Format (CDF-1)", "netcdf_introduction.html#classic_format", null ],
        [ "NetCDF 64-bit Offset Format (CDF-2)", "netcdf_introduction.html#netcdf_64bit_offset_format", null ],
        [ "NetCDF 64-bit Data Format (CDF-5)", "netcdf_introduction.html#netcdf_64bit_data_format", null ],
        [ "NetCDF-4 Format", "netcdf_introduction.html#netcdf_4_format", null ]
      ] ],
      [ "NetCDF Library Architecture", "netcdf_introduction.html#architecture", null ],
      [ "What about Performance?", "netcdf_introduction.html#performance", null ],
      [ "Creating Self-Describing Data conforming to Conventions", "netcdf_introduction.html#creating_self", null ],
      [ "Limitations of netCDF", "netcdf_introduction.html#limitations", null ]
    ] ],
    [ "File Structure and Performance", "file_structure_and_performance.html", [
      [ "Parts of a NetCDF Classic File", "file_structure_and_performance.html#classic_file_parts", null ],
      [ "Parts of a NetCDF-4 HDF5 File", "file_structure_and_performance.html#parts_of_netcdf4", null ],
      [ "The Extended XDR Layer", "file_structure_and_performance.html#xdr_layer", null ],
      [ "Large File Support", "file_structure_and_performance.html#large_file_support", null ],
      [ "NetCDF 64-bit Offset Format Limitations", "file_structure_and_performance.html#offset_format_limitations", null ],
      [ "NetCDF Classic Format Limitations", "file_structure_and_performance.html#classic_format_limitations", null ],
      [ "The NetCDF-3 I/O Layer", "file_structure_and_performance.html#netcdf_3_io", null ],
      [ "Parallel Access with NetCDF-4", "file_structure_and_performance.html#parallel_access", null ],
      [ "Interoperability with HDF5", "file_structure_and_performance.html#interoperability_with_hdf5", null ]
    ] ],
    [ "Data Types", "data_type.html", [
      [ "External Data Types", "data_type.html#external_types", null ],
      [ "Data Structures in Classic Files", "data_type.html#classic_structures", null ],
      [ "NetCDF-4 User Defined Data Types", "data_type.html#nc4_user_defined_types", [
        [ "Compound Types", "data_type.html#types_compound_types", null ],
        [ "VLEN Types", "data_type.html#vlen_types", null ],
        [ "Opaque Types", "data_type.html#types_opaque_types", null ],
        [ "Enum Types", "data_type.html#enum_types", null ]
      ] ],
      [ "Type Conversion", "data_type.html#type_conversion", null ]
    ] ],
    [ "The Components of a NetCDF Data Set", "netcdf_data_set_components.html", [
      [ "The Data Model", "netcdf_data_set_components.html#data_model", [
        [ "Data Model in NetCDF-4/HDF5 Files", "netcdf_data_set_components.html#Enhanced", null ]
      ] ],
      [ "Dimensions", "netcdf_data_set_components.html#dimensions", null ],
      [ "Variables", "netcdf_data_set_components.html#variables", null ],
      [ "Coordinate Variables", "netcdf_data_set_components.html#coordinate_variables", null ],
      [ "Attributes", "netcdf_data_set_components.html#attributes", null ],
      [ "Differences between Attributes and Variables", "netcdf_data_set_components.html#differences_atts_vars", null ],
      [ "NetCDF Names", "netcdf_data_set_components.html#object_name", [
        [ "Characters in NetCDF Names", "netcdf_data_set_components.html#Permitted", null ],
        [ "Length", "netcdf_data_set_components.html#Name", null ],
        [ "Conventions", "netcdf_data_set_components.html#NetCDF", null ]
      ] ],
      [ "Is NetCDF a Good Archive Format?", "netcdf_data_set_components.html#archival", null ],
      [ "Background and Evolution of the NetCDF Interface", "netcdf_data_set_components.html#background", null ],
      [ "The Remote Data Access Client", "netcdf_data_set_components.html#remote_client", null ],
      [ "Data Access", "netcdf_data_set_components.html#data_access", null ],
      [ "Forms of Data Access", "netcdf_data_set_components.html#forms_of_data_access", null ],
      [ "A C Example of Array-Section Access", "netcdf_data_set_components.html#c_array_section_access", null ]
    ] ],
    [ "Improving Performance with Chunking", "netcdf_perf_chunking.html", [
      [ "The Chunk Cache", "netcdf_perf_chunking.html#chunk_cache", null ],
      [ "The Default Chunking Scheme", "netcdf_perf_chunking.html#default_chunking_4_1", null ],
      [ "Chunking and Parallel I/O", "netcdf_perf_chunking.html#chunking_parallel_io", null ],
      [ "A Utility to Help Benchmark Results: bm_file", "netcdf_perf_chunking.html#bm_file", null ]
    ] ],
    [ "NetCDF Utilities", "netcdf_utilities_guide.html", [
      [ "CDL Guide", "netcdf_utilities_guide.html#cdl_guide", [
        [ "CDL Syntax", "netcdf_utilities_guide.html#cdl_syntax", null ],
        [ "CDL Data Types", "netcdf_utilities_guide.html#cdl_data_types", null ],
        [ "CDL Notation for Data Constants", "netcdf_utilities_guide.html#cdl_constants", null ]
      ] ],
      [ "ncdump", "netcdf_utilities_guide.html#ncdump_guide", [
        [ "ncdump synopsis", "netcdf_utilities_guide.html#ncdump_SYNOPSIS", null ],
        [ "ncdump description", "netcdf_utilities_guide.html#ncdump_DESCRIPTION", null ],
        [ "ncdump options", "netcdf_utilities_guide.html#ncdump_OPTIONS", null ],
        [ "ncdump examples", "netcdf_utilities_guide.html#ncdump_EXAMPLES", null ],
        [ "SEE ALSO", "netcdf_utilities_guide.html#see_also_ncdump", null ],
        [ "NOTE ON STRING OUTPUT", "netcdf_utilities_guide.html#ncdump_string_note", null ]
      ] ],
      [ "nccopy", "netcdf_utilities_guide.html#guide_nccopy", [
        [ "nccopy synopsis", "netcdf_utilities_guide.html#nccopy_SYNOPSIS", null ],
        [ "nccopy description", "netcdf_utilities_guide.html#nccopy_DESCRIPTION", null ],
        [ "nccopy options", "netcdf_utilities_guide.html#nccopy_OPTIONS", null ],
        [ "nccopy examples", "netcdf_utilities_guide.html#nccopy_EXAMPLES", null ],
        [ "SEE ALSO", "netcdf_utilities_guide.html#see_also_nccopy", null ]
      ] ],
      [ "ncgen", "netcdf_utilities_guide.html#guide_ncgen", null ],
      [ "ncgen3", "netcdf_utilities_guide.html#guide_ncgen3", null ]
    ] ],
    [ "Writing NetCDF Files: Best Practices", "BestPractices.html", [
      [ "Best Practices ", "BestPractices.html#bp_Best_Practices", [
        [ "Conventions", "BestPractices.html#bp_Conventions", null ],
        [ "Coordinate Systems", "BestPractices.html#bp_Coordinate-Systems", null ],
        [ "Variable Grouping", "BestPractices.html#bp_Variable-Grouping", null ],
        [ "Variable Attributes", "BestPractices.html#bp_Variable-Attributes", null ],
        [ "Strings and Variables of type char", "BestPractices.html#bp_Strings-and-Variables-of-type-char", null ],
        [ "Calendar Date/Time", "BestPractices.html#bp_Calendar-Date-Time", null ],
        [ "Unsigned Data", "BestPractices.html#bp_Unsigned-Data", null ],
        [ "Packed Data Values", "BestPractices.html#bp_Packed-Data-Values", null ],
        [ "Missing Data Values", "BestPractices.html#bp_Missing-Data-Values", null ],
        [ "Miscellaneous tips", "BestPractices.html#bp_Miscellaneous-tips", null ],
        [ "Spelling netCDF: Best Practices", "BestPractices.html#bp_Spelling-netCDF-Best-Practices", null ]
      ] ]
    ] ],
    [ "User-Defined Formats for NetCDF", "user_defined_formats.html", [
      [ "User-Defined Formats ", "user_defined_formats.html#udf_user_defined_formats", [
        [ "Introduction", "user_defined_formats.html#udf_Introduction", null ],
        [ "Using User-Defined Formats from C Programs", "user_defined_formats.html#udf_With_C", null ],
        [ "Building NetCDF C Library with a User-Defined Format Library", "user_defined_formats.html#udf_Build_NetCDF_With_UDF", null ],
        [ "Creating a User-Defined Format", "user_defined_formats.html#udf_Create_UDF", null ],
        [ "Examples", "user_defined_formats.html#udf_Examples", null ]
      ] ]
    ] ],
    [ "Appendices", "users_guide_appendices.html", "users_guide_appendices" ],
    [ "DAP2 Protocol Support", "dap2.html", [
      [ "DAP2 (OPeNDAP) Introduction", "dap2.html#dap2_intro", null ],
      [ "Accessing DAP2 Data", "dap2.html#dap2_accessing_data", null ],
      [ "DAP2 to NetCDF Translation Rules", "dap2.html#dap2_to_netcdf", [
        [ "netCDF-3 Translation Rules", "dap2.html#dap2_nc32_trans_rules", null ],
        [ "Variable Definition", "dap2.html#dap2_var2_def", null ],
        [ "DAP2 Reserved Keywords", "dap2.html#dap2_reserved_keywords", null ],
        [ "Variable Dimension Translation", "dap2.html#dap2_var_dim_trans", null ],
        [ "Dimension translation", "dap2.html#dap2_dim2_trans", null ],
        [ "Variable Name Translation", "dap2.html#dap2_var_name_trans", null ],
        [ "Translating DAP2 DDS Sequences", "dap2.html#dap2_translation", null ]
      ] ],
      [ "Caching", "dap2.html#dap2_dap2_caching", null ],
      [ "Defined Client Parameters", "dap2.html#dap2_dap2_defined_params", null ],
      [ "Notes on Debugging OPeNDAP Access", "dap2.html#dap2_dap2_debug", [
        [ "HTTP Configuration.", "dap2.html#dap2_http2_config", null ]
      ] ],
      [ "Point of Contact", "dap2.html#dap2_poc", null ]
    ] ],
    [ "DAP4 Protocol Support", "dap4.html", [
      [ "DAP4 Introduction", "dap4.html#dap4_introduction", null ],
      [ "Accessing Data Using the DAP4 Prototocol", "dap4.html#dap4_accessing_data", null ],
      [ "Defined Client Parameters", "dap4.html#dap4_defined_params", null ],
      [ "Notes on Debugging DAP4 Access", "dap4.html#dap4_debug", [
        [ "HTTP Configuration.", "dap4.html#dap4_http2_config", null ]
      ] ],
      [ "Point of Contact", "dap4.html#dap4_poc", null ]
    ] ]
];